<div class="row">
  <div class="col-md-3">
    <span class="hipster img-fluid rounded"></span>
  </div>

  <div class="col-md-9">
    <h1 class="display-4"><span jhiTranslate="home.title">Willkommen zum Fachbereich Echtzeitsysteme!</span></h1>

    <p class="lead" jhiTranslate="home.subtitle">Dies ist Ihre Hauptseite</p>

    <div>
      @if (account() !== null) {
        @if (account(); as account) {
          <div class="alert alert-success">
            <span id="home-logged-message" jhiTranslate="home.logged.message" [translateValues]="{ username: account.login }"
              >Sie sind als Benutzer &quot;{{ account.login }}&quot; angemeldet.</span
            >
          </div>
          @if (recentlyBoughtItems$ | async; as recentlyBoughtItems) {
            <div class="table-responsive table-entities" id="recentlyBought">
              <span jhiTranslate="home.recentlyBought">Hier sehen Sie Ihre kürzlich eingekauften Artikel</span>
              <table class="table table-striped" aria-describedby="page-heading">
                <thead>
                  <tr jhiSort>
                    <th scope="col">
                      <div class="d-flex">
                        <span jhiTranslate="global.field.id">ID</span>
                      </div>
                    </th>
                    <th scope="col">
                      <div class="d-flex">
                        <span jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</span>
                      </div>
                    </th>
                    <th scope="col">
                      <div class="d-flex">
                        <span jhiTranslate="realTimeBeveragesApp.boughtItem.amount">Amount</span>
                      </div>
                    </th>
                    <th scope="col">
                      <div class="d-flex">
                        <span jhiTranslate="realTimeBeveragesApp.offeredItem.price">Price</span>
                      </div>
                    </th>
                    <th scope="col">
                      <div class="d-flex">
                        <span jhiTranslate="realTimeBeveragesApp.boughtItem.total">Total</span>
                      </div>
                    </th>
                    <th scope="col"></th>
                  </tr>
                </thead>
                <tbody>
                  @for (offeredItem of recentlyBoughtItems; track offeredItem.id) {
                    <tr data-cy="entityTable">
                      <td>
                        <a [routerLink]="['/bought-item', offeredItem.id, 'view']">{{ offeredItem.id }}</a>
                      </td>
                      <td>{{ offeredItem.name }}</td>
                      <td>{{ offeredItem.amount }}</td>
                      <td>{{ offeredItem.price }}</td>
                      <td>{{ offeredItem.amount! * offeredItem.price! }}</td>
                      <td></td>
                      <td class="text-end">
                        <div class="btn-group">
                          <a
                            [routerLink]="['/bought-item', offeredItem.id, 'view']"
                            class="btn btn-info btn-sm"
                            data-cy="entityDetailsButton"
                          >
                            <fa-icon icon="eye"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Details</span>
                          </a>
                        </div>
                      </td>
                    </tr>
                  }
                </tbody>
              </table>
            </div>
          }
        }
      } @else {
        <div class="alert alert-warning">
          <span jhiTranslate="global.messages.info.authenticated.prefix">Wenn Sie sich </span>
          <a class="alert-link" (click)="login()" jhiTranslate="global.messages.info.authenticated.link">anmelden</a
          ><span jhiTranslate="global.messages.info.authenticated.suffix">
            möchten, versuchen Sie es mit <br />- Administrator (Name=&quot;admin&quot; und Passwort=&quot;admin&quot;)<br />- Benutzer
            (Name=&quot;user&quot; und Passwort=&quot;user&quot;).</span
          >
        </div>

        <div class="alert alert-warning">
          <span jhiTranslate="global.messages.info.register.noaccount">Sie haben noch keinen Zugang?</span>&nbsp;
          <a class="alert-link" routerLink="/account/register" jhiTranslate="global.messages.info.register.link">Registrieren Sie sich</a>
        </div>
      }
    </div>

    @if (almostEmptyOfferedItems$ | async; as almostEmptyOfferedItems) {
      <div class="table-responsive table-entities" id="entities">
        <span jhiTranslate="home.almostEmpty">Hier sehen Sie fast leere Artikel</span>
        <table class="table table-striped" aria-describedby="page-heading">
          <thead>
            <tr jhiSort>
              <th scope="col">
                <div class="d-flex">
                  <span jhiTranslate="global.field.id">ID</span>
                </div>
              </th>
              <th scope="col">
                <div class="d-flex">
                  <span jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</span>
                </div>
              </th>
              <th scope="col" jhiSortBy="stock">
                <div class="d-flex">
                  <span jhiTranslate="realTimeBeveragesApp.offeredItem.stock">Stock</span>
                </div>
              </th>
              <th scope="col">
                <div class="d-flex">
                  <span jhiTranslate="realTimeBeveragesApp.offeredItem.price">Price</span>
                </div>
              </th>
              <th scope="col">
                <div class="d-flex">
                  <span jhiTranslate="realTimeBeveragesApp.offeredItem.hidden">Hidden</span>
                </div>
              </th>

              <th scope="col"></th>
            </tr>
          </thead>
          <tbody>
            @for (offeredItem of almostEmptyOfferedItems; track offeredItem.id) {
              <tr data-cy="entityTable">
                <td>
                  <a [routerLink]="['/offered-item', offeredItem.id, 'view']">{{ offeredItem.id }}</a>
                </td>
                <td>{{ offeredItem.name }}</td>
                <td>{{ offeredItem.stock }}</td>
                <td>{{ offeredItem.price }}</td>
                <td>{{ offeredItem.hidden }}</td>
                <td></td>
                <td class="text-end">
                  <div class="btn-group">
                    <a [routerLink]="['/offered-item', offeredItem.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                      <fa-icon icon="eye"></fa-icon>
                      <span class="d-none d-md-inline" jhiTranslate="entity.action.view">Details</span>
                    </a>

                    <a [routerLink]="['/offered-item', offeredItem.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                      <fa-icon icon="pencil-alt"></fa-icon>
                      <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Bearbeiten</span>
                    </a>
                  </div>
                </td>
              </tr>
            }
          </tbody>
        </table>
      </div>
    }
  </div>
</div>
